%global npm_name request
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.85.0
Release: %mkrel 7
Summary: Simplified HTTP request client
License: ASL 2.0
Group: Development/Other
URL: https://github.com/request/request#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(aws-sign2)
Requires: npm(aws4)
Requires: npm(caseless)
Requires: npm(combined-stream)
Requires: npm(extend)
Requires: npm(forever-agent)
Requires: npm(form-data)
Requires: npm(har-validator)
Requires: npm(hawk)
Requires: npm(http-signature)
Requires: npm(is-typedarray)
Requires: npm(isstream)
Requires: npm(json-stringify-safe)
Requires: npm(mime-types)
Requires: npm(oauth-sign)
Requires: npm(performance-now)
Requires: npm(qs)
Requires: npm(safe-buffer)
Requires: npm(stringstream)
Requires: npm(tough-cookie)
Requires: npm(tunnel-agent)
Requires: npm(uuid)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep har-validator ">=5.1.0"
%nodejs_fixdep hawk ">=7.0.7"
%nodejs_fixdep hawk ">=7.0.7"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr request.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md



%changelog
* Wed May 06 2020 joequant <joequant> 2.85.0-7.mga8
+ Revision: 1580780
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 2.85.0-6.mga8
+ Revision: 1503157
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.85.0-5.mga7
+ Revision: 1280927
- Mageia 7 Mass Rebuild

* Wed May 23 2018 kekepower <kekepower> 2.85.0-4.mga7
+ Revision: 1231812
- Fix deps for hawk

* Tue May 22 2018 kekepower <kekepower> 2.85.0-3.mga7
+ Revision: 1231642
- Update and fix nodejs deps

* Mon May 07 2018 kekepower <kekepower> 2.85.0-2.mga7
+ Revision: 1227336
- Fix nodejs dependencies

* Wed May 02 2018 kekepower <kekepower> 2.85.0-1.mga7
+ Revision: 1224725
- imported package nodejs-request

